Name: libburn
Version: 0.6.4.pl00 
Release: alt1

Summary: CD-R/CD-RW disc reading/writing library
Url: http://libburnia.pykix.org/
Source: http://libburnia-download.pykix.org/releases/%name-%version.tar
License: GPLv2+ 

Packager: Anton V. Boyrahinov <boyarsh@altlinux.org>
Group: System/Libraries

%description
libburnia.pykix.org is an open-source software project for reading, mastering
and writing optical discs. For now this means only CD-R, CD-RW, DVD-RAM,
DVD+RW, DVD-RW.

The project comprises of several more or less interdependent parts which
together strive to be a usable foundation for application development.
These are libraries, language bindings, and middleware binaries which emulate
classical (and valuable) Linux tools.

Our scope is currently Linux 2.4 and 2.6 only. For ports to other systems
we would need : login on a development machine resp. a live OS on CD or DVD,
advise from a system person about the equivalent of Linux sg or FreeBSD CAM,
volunteers for testing of realistic use cases.

We have a workable code base for burning CDs and overwriteable DVDs, though.
The burn API is quite comprehensively documented and can be used to build a
presentable application.
We have a functional binary which emulates parts of cdrecord in order to
prove that usability, and in order to allow you to explore libburnia's scope
by help of existing cdrecord frontends.

%package devel
Summary: Development files for libburn
Group: Development/C
Requires: %name = %version

%description devel
libburnia.pykix.org is an open-source software project for reading, mastering
and writing optical discs. For now this means only CD-R, CD-RW, DVD-RAM,
DVD+RW, DVD-RW.

The project comprises of several more or less interdependent parts which
together strive to be a usable foundation for application development.
These are libraries, language bindings, and middleware binaries which emulate
classical (and valuable) Linux tools.

Our scope is currently Linux 2.4 and 2.6 only. For ports to other systems
we would need : login on a development machine resp. a live OS on CD or DVD,
advise from a system person about the equivalent of Linux sg or FreeBSD CAM,
volunteers for testing of realistic use cases.

We have a workable code base for burning CDs and overwriteable DVDs, though.
The burn API is quite comprehensively documented and can be used to build a
presentable application.
We have a functional binary which emulates parts of cdrecord in order to
prove that usability, and in order to allow you to explore libburnia's scope
by help of existing cdrecord frontends.

%package -n cdrskin
Summary: minimal cdrecord implementation based on libburn
Group: Archiving/Cd burning
Requires: %name = %version

%description -n cdrskin
cdrskin  is a limited cdrecord compatibility wrapper for libburn.
Cdrecord is a powerful GPL'ed burn program included in Joerg
Schilling's cdrtools. cdrskin strives to be a second source for
the services traditionally provided by cdrecord.
cdrskin does not contain any bytes copied from cdrecord's sources.
Many bytes have been copied from the message output of cdrecord
runs, though.

%prep
%setup

%build
%__autoreconf
%configure

%make_build

%install
%makeinstall

%files
%_libdir/%name.so.*

%files devel
%dir %_includedir/%name
%_includedir/%name/%name.h
%_libdir/%name.so
%_pkgconfigdir/*.pc
%exclude %_libdir/%name.a

%files -n cdrskin
%_bindir/cdrskin
%_man1dir/*

%changelog
* Tue Apr 14 2009 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.6.4.pl00-alt1
- 0.6.4.pl00

* Thu Mar 06 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.4.2-alt1
- new version

* Sun Jan  6 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.4.0-alt1
- new version

* Wed Sep 26 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.3.8-alt2
- cdrskin linking fix from led@
- spec fix fom led@

* Wed Sep 19 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.3.8-alt1
- new version
- added requires to subpackages

* Fri Mar 16 2007 Eugene Ostapets <eostapets@altlinux.ru> 0.3.4-alt1
- new version

* Thu Feb 08 2007 Eugene Ostapets <eostapets@altlinux.org> 0.3.0.1-alt0.1
- Initial build

